Name:           python-authres
Version:        1.2.0
Release:        1%{dist}
Summary:        Authentication Results Header Module
Group:          Development/Languages
License:        Apache 2.0
URL:            https://launchpad.net/authentication-results-python
Source0:        authres-%{version}.tar.gz
BuildArch:      noarch

%global _description\
FC 5451 Authentication-Results Headers generation and parsing for\
Python/Python3.

%description %_description

%package -n python3-authres
Summary: %summary
BuildRequires: python3-devel

%{?python_provide:%python_provide python3-authres}

%description -n python3-authres %_description


%prep
%setup -q -n authres-%{version}


%build
%py3_build


%install
%py3_install


%files -n python3-authres
%license COPYING
%doc CHANGES README
%{python3_sitelib}/authres/
%{python3_sitelib}/authres-*


%changelog
* Wed May  6 2020 Stuart Gathman <stuart@gathman.org> 1.2.0-1
- Latest upstream release

* Sun Apr 28 2013 Stuart Gathman <stuart@gathman.org> 0.601-1
- When stringifying RFC 5451 property values (pvalue), format them as quoted-
  strings if they contain spaces or special characters (and are not e-mail
  addresses). E.g., IPv6 addresses in policy.iprev properties must be
  double-quoted.
- Fix broken references to quoted_string variable in authres.core.
  AuthenticationResultsHeader._parse_pvalue method. (Closes: LP #1165978)
- Fix erroneous reference to ArgumentError exception to refer to ValueError
  instead. When does the Ruby compatiblity layer for Python come out?
- Added additional tests/examples in authres/tests

* Fri Apr 26 2013 Stuart Gathman <stuart@gathman.org> 0.600-2
- Include fixes for quoting problems

* Fri Apr 26 2013 Stuart Gathman <stuart@gathman.org> 0.600-1
- Update to 0.600, with patches for missing ArgumentError definition.

* Thu Feb 02 2010 Stuart Gathman <stuart@bmsi.com> 0.3-1
- Python-2.6 RPM

